Bug 194062

Summary: QUIRK: Innostor USB stick (add NO_RC16)
Product: Base System Reporter: Tobias Berner <tcberner>
Component: usbAssignee: Hans Petter Selasky <hselasky>
Status: Closed FIXED    
Severity: Affects Only Me CC: hselasky
Priority: --- Keywords: patch
Version: CURRENT   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
patchto add quirk none

Description Tobias Berner 2014-10-01 08:48:05 UTC
USB stick: Hama Vilitas 128G [1] identified as Innostor 

# camcontrol inquiry da0
pass5: <Innostor Innostor 1.00> Removable Direct Access SCSI-6 device 
pass5: Serial Number 000000000000000051
pass5: 400.000MB/s transfers

#  dmesg | grep ^da0
da0 at umass-sim0 bus 0 scbus13 target 0 lun 0
da0: <Innostor Innostor 1.00> Removable Direct Access SCSI-6 device 
da0: Serial Number 000000000000000051
da0: 400.000MB/s transfers
da0: 121896MB (249644974 512 byte sectors: 255H 63S/T 15539C)
da0: quirks=0x12<NO_6_BYTE>


# messages on gpt/newfs/...
(da0:umass-sim0:0:0:0): Error 22, Unretryable error
(da0:umass-sim0:0:0:0): READ(10). CDB: 28 00 0e e9 47 49 00 00 04 00 
(da0:umass-sim0:0:0:0): CAM status: SCSI Status Error
(da0:umass-sim0:0:0:0): SCSI status: Check Condition
(da0:umass-sim0:0:0:0): SCSI sense: ILLEGAL REQUEST asc:21,0 (Logical block address out of range)




Fix: add DA_Q_NO_RC16

# dmesg | grep ^da0
da0 at umass-sim0 bus 0 scbus13 target 0 lun 0
da0: <Innostor Innostor 1.00> Removable Direct Access SCSI-6 device 
da0: Serial Number 000000000000000051
da0: 400.000MB/s transfers
da0: 121896MB (249644974 512 byte sectors: 255H 63S/T 15539C)
da0: quirks=0x12<NO_6_BYTE,NO_RC16>

# usbconfig 
ugen1.2: <PenDrive Innostor> at usbus1, cfg=0 md=HOST spd=SUPER (5.0Gbps) pwr=ON (76mA)




[1] https://en.hama.com/00114793/hama-flashpen-vilitas-usb-30-8-gb-70-mb-s-weiss-silber
Comment 1 Tobias Berner 2014-10-01 08:49:08 UTC
Created attachment 147875 [details]
patchto add quirk
Comment 2 commit-hook freebsd_committer 2015-03-07 17:18:28 UTC
A commit references this bug:

Author: hselasky
Date: Sat Mar  7 17:18:07 UTC 2015
New revision: 279726
URL: https://svnweb.freebsd.org/changeset/base/279726

Log:
  Add DA_Q_NO_RC16 quirk for USB mass storage device.

  PR:		194062
  MFC after:	1 week

Changes:
  head/sys/cam/scsi/scsi_da.c
Comment 3 commit-hook freebsd_committer 2015-05-21 07:41:52 UTC
A commit references this bug:

Author: hselasky
Date: Thu May 21 07:41:04 UTC 2015
New revision: 283189
URL: https://svnweb.freebsd.org/changeset/base/283189

Log:
  MFC r279726:
  Add DA_Q_NO_RC16 quirk for USB mass storage device.

  PR:		194062

Changes:
_U  stable/10/
  stable/10/sys/cam/scsi/scsi_da.c
Comment 4 commit-hook freebsd_committer 2015-05-21 07:42:54 UTC
A commit references this bug:

Author: hselasky
Date: Thu May 21 07:42:46 UTC 2015
New revision: 283190
URL: https://svnweb.freebsd.org/changeset/base/283190

Log:
  MFC r279726:
  Add DA_Q_NO_RC16 quirk for USB mass storage device.

  PR:		194062

Changes:
_U  stable/9/sys/
  stable/9/sys/cam/scsi/scsi_da.c